RubyGems Navigation menu

wrest 1.5.2

Wrest is a fluent, easy-to-use, object oriented Ruby HTTP/REST client library with support for RFC2616 HTTP caching, multiple HTTP backends and async calls using EventMachine. It runs on CRuby and JRuby.

Versiones:

  1. 3.0.0 - April 20, 2018 (40 KB)
  2. 2.2.0 - April 24, 2017 (40 KB)
  3. 2.1.9 - January 13, 2017 (40 KB)
  4. 2.1.7 - April 22, 2016 (40 KB)
  5. 2.1.6 - April 21, 2016 (40 KB)
  6. 1.5.2 - July 11, 2015 (40 KB)
Muestra todas las versiones (75 total)

Requerimientos:

To use Memcached as caching back-end, install the 'dalli' gem.

To use multipart post, install the 'multipart-post' gem.

To use curl as the http engine, install the 'patron' gem. This feature is not available (and should be unneccessary) on jruby.

To use eventmachine as a parallel backend, install the 'eventmachine' gem.

Administradores:

Autores:

  • Sidu Ponnappa, Niranjan Paranjape

SHA 256 checksum:

fe3ce0e5db704ba4448ffcbac1691178afdb1ba5998ffa52d6a42140cba46e16

Total downloads 157.250

Para esta versión 919

Gemfile:
= Copy to clipboard Copied!

instalar:
=

Licencia:

N/D

Required Ruby Version: >= 0

Required Rubygems Version: >= 1.3.0

Enlaces: